/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of Modelling which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

export abstract class ControlModel {
  public abstract get object(): Record<string, unknown>;
  public abstract set object(obj: Record<string, unknown>);

  public update (): void {
    this.verify ();
  }

  public abstract verify(): void;
}
